<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionWritePaper Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d36/class_action_write_paper.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionWritePaper Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionWritePaper:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../df/d36/class_action_write_paper.png" usemap="#ActionWritePaper_map" alt=""/>
  <map id="ActionWritePaper_map" name="ActionWritePaper_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,139,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a2e8afbc7fac58f60bc78e883556d316f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d36/class_action_write_paper.html#a2e8afbc7fac58f60bc78e883556d316f">ActionWritePaper</a> ()</td></tr>
<tr class="separator:a2e8afbc7fac58f60bc78e883556d316f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92f2c8f03c73cd712297e9ae7ab68a2d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d36/class_action_write_paper.html#a92f2c8f03c73cd712297e9ae7ab68a2d">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a92f2c8f03c73cd712297e9ae7ab68a2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9ac5cebe49e0e0b6761ec7a830d4778"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d36/class_action_write_paper.html#af9ac5cebe49e0e0b6761ec7a830d4778">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:af9ac5cebe49e0e0b6761ec7a830d4778"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea628e43e8d34944394e55406ce09fe4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d36/class_action_write_paper.html#aea628e43e8d34944394e55406ce09fe4">OnStartClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:aea628e43e8d34944394e55406ce09fe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57ede6a0b87b59de6df5e315586539de"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d36/class_action_write_paper.html#a57ede6a0b87b59de6df5e315586539de">OnStartServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a57ede6a0b87b59de6df5e315586539de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bb109dbe76436c26d23b66352848260"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d36/class_action_write_paper.html#a0bb109dbe76436c26d23b66352848260">OnUpdate</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a0bb109dbe76436c26d23b66352848260"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0b0f2e4b6710b10b15d7429d1f0a9a8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d36/class_action_write_paper.html#ac0b0f2e4b6710b10b15d7429d1f0a9a8">OnEndRequest</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:ac0b0f2e4b6710b10b15d7429d1f0a9a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a12a3fe5cf2355b8be724f02a76a33b6a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d36/class_action_write_paper.html#a12a3fe5cf2355b8be724f02a76a33b6a">TARGET_DISTANCE</a> = 2</td></tr>
<tr class="separator:a12a3fe5cf2355b8be724f02a76a33b6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html#l00037">37</a> of file <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html">ActionWritePaper.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2e8afbc7fac58f60bc78e883556d316f" name="a2e8afbc7fac58f60bc78e883556d316f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e8afbc7fac58f60bc78e883556d316f">&#9670;&#160;</a></span>ActionWritePaper()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionWritePaper::ActionWritePaper </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html#l00041">41</a> of file <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html">ActionWritePaper.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af9ac5cebe49e0e0b6761ec7a830d4778" name="af9ac5cebe49e0e0b6761ec7a830d4778"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9ac5cebe49e0e0b6761ec7a830d4778">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionWritePaper::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html#l00056">56</a> of file <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html">ActionWritePaper.c</a>.</p>

</div>
</div>
<a id="a92f2c8f03c73cd712297e9ae7ab68a2d" name="a92f2c8f03c73cd712297e9ae7ab68a2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92f2c8f03c73cd712297e9ae7ab68a2d">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWritePaper::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html#l00050">50</a> of file <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html">ActionWritePaper.c</a>.</p>

</div>
</div>
<a id="ac0b0f2e4b6710b10b15d7429d1f0a9a8" name="ac0b0f2e4b6710b10b15d7429d1f0a9a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0b0f2e4b6710b10b15d7429d1f0a9a8">&#9670;&#160;</a></span>OnEndRequest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWritePaper::OnEndRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html#l00102">102</a> of file <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html">ActionWritePaper.c</a>.</p>

</div>
</div>
<a id="aea628e43e8d34944394e55406ce09fe4" name="aea628e43e8d34944394e55406ce09fe4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea628e43e8d34944394e55406ce09fe4">&#9670;&#160;</a></span>OnStartClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWritePaper::OnStartClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html#l00065">65</a> of file <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html">ActionWritePaper.c</a>.</p>

</div>
</div>
<a id="a57ede6a0b87b59de6df5e315586539de" name="a57ede6a0b87b59de6df5e315586539de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57ede6a0b87b59de6df5e315586539de">&#9670;&#160;</a></span>OnStartServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWritePaper::OnStartServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html#l00077">77</a> of file <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html">ActionWritePaper.c</a>.</p>

</div>
</div>
<a id="a0bb109dbe76436c26d23b66352848260" name="a0bb109dbe76436c26d23b66352848260"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bb109dbe76436c26d23b66352848260">&#9670;&#160;</a></span>OnUpdate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWritePaper::OnUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html#l00089">89</a> of file <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html">ActionWritePaper.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a12a3fe5cf2355b8be724f02a76a33b6a" name="a12a3fe5cf2355b8be724f02a76a33b6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12a3fe5cf2355b8be724f02a76a33b6a">&#9670;&#160;</a></span>TARGET_DISTANCE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionWritePaper::TARGET_DISTANCE = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html#l00039">39</a> of file <a class="el" href="../../d9/db1/_action_write_paper_8c_source.html">ActionWritePaper.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/<a class="el" href="../../d9/db1/_action_write_paper_8c_source.html">ActionWritePaper.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d36/class_action_write_paper.html">ActionWritePaper</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
